Infoseite // Feher beim Lesen von AVS-Script



Frage von Bernd Meyer:


Hallo NG,

ich habe versucht, ein mit Avisynth 2.0 erstelltes AVS.Script in
VirtualDubMod zu laden. Dabei erhalte ich die Ferhlermeldung: Avisynth
open failure: LoadPlugin"D:PrgrammeGordian KnotKnotmpeg2dec3.dll" ist
not an Avisynth 1.0 plugin.

Weiß jemand von Euch, wie ich VirtualDubMod dazu veranlassen kann, mit
Avisyth 2.0 erstellte AVS-Spripts zu laden. Danke!

Gruß Bernd



Space


Antwort von Heiko Rost:

Am Sun, 22 May 2005 00:52:39 0200 schrieb Bernd Meyer:

> ich habe versucht, ein mit Avisynth 2.0 erstelltes AVS.Script in
> VirtualDubMod zu laden. Dabei erhalte ich die Ferhlermeldung: Avisynth
> open failure: LoadPlugin"D:PrgrammeGordian KnotKnotmpeg2dec3.dll" ist
> not an Avisynth 1.0 plugin.

Das klingt eher so, als hättest Du eine 1er Version von AviSynth
installiert. Was wird angezeigt, wenn Du ein avs-Skript abspielst, das nur
die Zeile

Version

enthält? Läßt sich das problematische Skript im Player (;zumindest der Media
Player Classic kann avs wiedergeben) abspielen?

> Weiß jemand von Euch, wie ich VirtualDubMod dazu veranlassen kann, mit
> Avisyth 2.0 erstellte AVS-Spripts zu laden. Danke!

Normalerweise läßt sich das so wie jedes 'normale' Video öffnen. Falls die
Meldung nicht unmittelbar beim Öffnen als Dialog erscheint, sondern ein
Video angezeigt wird, das diese Meldung enthält, liegt es nicht an
VirtualDubMod. In dem Fall hat es nämlich das Skript korrekt geöffnet, aber
AviSynth selbst hat Probleme, es zu verarbeiten.

Gruß Heiko


Space


Antwort von Bernd Meyer:

Hallo Heiko,

> > ich habe versucht, ein mit Avisynth 2.0 erstelltes AVS.Script in
> > VirtualDubMod zu laden. Dabei erhalte ich die Ferhlermeldung:
Avisynth
> > open failure: LoadPlugin"D:PrgrammeGordian KnotKnotmpeg2dec3.dll"
is
> > not an Avisynth 1.0 plugin.
>
> Das klingt eher so, als hättest Du eine 1er Version von AviSynth
> installiert. Was wird angezeigt, wenn Du ein avs-Skript abspielst, das
nur
> die Zeile Version enthält?

Als Version wird AviSynth 2.08 angezeigt.

> Läßt sich das problematische Skript im Player (;zumindest der Media
> Player Classic kann avs wiedergeben) abspielen?

Der Mediaplayer gibt ein 10 Sekunden Video wieder, das die o.g.
Fehlermeldung anzeigt.
>
> > Weiß jemand von Euch, wie ich VirtualDubMod dazu veranlassen kann,
mit
> > Avisyth 2.0 erstellte AVS-Spripts zu laden. Danke!
>
> Normalerweise läßt sich das so wie jedes 'normale' Video öffnen. Falls
die
> Meldung nicht unmittelbar beim Öffnen als Dialog erscheint, sondern
ein
> Video angezeigt wird, das diese Meldung enthält, liegt es nicht an
> VirtualDubMod.

Die Fehlermeldung erschein unmittelbar beim Öfnnen als Dialog.

Gruß Bernd



Space


Antwort von Heiko Rost:

Am Sun, 22 May 2005 10:05:02 0200 schrieb Bernd Meyer:

> Als Version wird AviSynth 2.08 angezeigt.

Bei AviSynth gab es nach der 2.08 eine Änderung in der Plugin-Schnittstelle
(;siehe http://www.avisynth.org/Sektion 1: Über AviSynth Punkt 1.7/1.8).
Möglicherweise ist Knotmpeg2dec3.dll ein Plugin für Version 2.5. Falls
weder in der Beschreibung zu diesem Plugin noch auf der Webseite, die das
anbietet, eine Angabe zur benötigten AviSynth-Version zu finden ist,
könnten Dir die Punkt 1.15 und 1.16 der FAQ weiterhelfen.

> Der Mediaplayer gibt ein 10 Sekunden Video wieder, das die o.g.
> Fehlermeldung anzeigt.

Dann verursacht nicht VirtualDubMod bzw. der Player das Problem, sondern
sagt Dir nur, daß AviSynth mit dem Skript nicht richtig umgehen kann.

Gruß Heiko


Space


Antwort von Bernd Meyer:

Hallo Heiko,

> Bei AviSynth gab es nach der 2.08 eine Änderung in der
Plugin-Schnittstelle
> (;siehe http://www.avisynth.org/Sektion 1: Über AviSynth Punkt
1.7/1.8).

Ich habe mir mal AviSynth in der Version 2.5 geladen und installiert.
Mit dieser Version funktioniert es jetzt. Vielleicht war die ältere
Verion, welche bei Gordian Knot dabei war, nicht i.O.? Jedenfalls danke
für deine hilfreichen Tipps.

Gruß Bernd



Space



Antworten zu ähnlichen Fragen //


WIRELESS TV Link AVS 2020 Schwaiger oder AVS 5010011 von Schwaiger
VirtualDub 1.5.10 - "VideoSourceAVI error" beim Lesen von DivX 5.11 Dateien !
Kino: Fehler beim Lesen/Schreiben von /dev/raw1394
Probleme beim slashCAM lesen über Vodafone?
AVS Video Converter: taugt das Programm etwas??
Kostenloses Script für in Adobe After Effects gestylte Untertitel in Premiere Pro
"Suchen und Ersetzen" per Script in Blackmagic DaVinci Fusion/Resolve
Bildserien in Clips aufteilen (Script)
Filter/Script für VirtualDub/AVISynth
Wie vom PC auf DVD-RAM so, daß Stand-Alone lesen kann?
DVDAuthorGUI kann MPEG nicht lesen - warum?
Player kann nicht alle DVD-R lesen
Problem beim Überspielen von MiniDV-Kassetten von Canon DV20i auf PC
Probleme beim Synchronisieren von Clips anhand von Audiospur
Kein Ton beim Einfügen von MTS-Dateien
Kein Video beim abspielen von VHS-Kassetten




RSS Facebook Twitter slashCAM-Slash